# Tests for schoolgrades module.
import unittest
from zope.interface.verify import verifyObject, verifyClass
from waeup.sirp.interfaces import IResultEntry, IResultEntryField
from waeup.sirp.schoolgrades import ResultEntry, ResultEntryField

class ResultEntryTests(unittest.TestCase):

    def test_ifaces(self):
        # make sure we implement the promised interfaces.
        obj = ResultEntry()
        verifyObject(IResultEntry, obj)
        verifyClass(IResultEntry, ResultEntry)
        return

class ResultEntryFieldTests(unittest.TestCase):

    def test_ifaces(self):
        # make sure we implement the promised interfaces.
        obj = ResultEntryField()
        verifyObject(IResultEntryField, obj)
        verifyClass(IResultEntryField, ResultEntryField)
        return
